<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEventHistory StructType
 * @subpackage Structs
 */
class GetEventHistory extends AbstractStructBase
{
    /**
     * The input
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\StructType\GetEventHistoryInput
     */
    public $input;
    /**
     * Constructor method for GetEventHistory
     * @uses GetEventHistory::setInput()
     * @param \CustomerManagement\StructType\GetEventHistoryInput $input
     */
    public function __construct(\CustomerManagement\StructType\GetEventHistoryInput $input = null)
    {
        $this
            ->setInput($input);
    }
    /**
     * Get input value
     * @return \CustomerManagement\StructType\GetEventHistoryInput|null
     */
    public function getInput()
    {
        return $this->input;
    }
    /**
     * Set input value
     * @param \CustomerManagement\StructType\GetEventHistoryInput $input
     * @return \CustomerManagement\StructType\GetEventHistory
     */
    public function setInput(\CustomerManagement\StructType\GetEventHistoryInput $input = null)
    {
        $this->input = $input;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\GetEventHistory
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
